Page MenuHomePhabricator

Update Linting Rules
Closed, ResolvedPublic3 Estimated Story Points

Description

The following rules should be enabled for the extension:

  • no-prototype-builtins
  • no-jquery/no-global-selector
  • vars-on-top
  • one-var

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptSep 29 2020, 3:27 PM
WDoranWMF triaged this task as High priority.Sep 29 2020, 3:27 PM
apaskulin lowered the priority of this task from High to Medium.Oct 5 2020, 4:12 PM
Helga_sf set the point value for this task to 3.Oct 6 2020, 10:21 AM
Helga_sf removed Art.tsymbar as the assignee of this task.Oct 8 2020, 10:09 AM

Change 634471 had a related patch set uploaded (by Vlad.shapik; owner: Vlad.shapik):
[mediawiki/extensions/WikimediaApiPortalOAuth@master] Linting rules: update linting rules

https://gerrit.wikimedia.org/r/634471

Change 634471 merged by jenkins-bot:
[mediawiki/extensions/WikimediaApiPortalOAuth@master] Linting rules: update linting rules

https://gerrit.wikimedia.org/r/634471

Reedy closed this task as Resolved.Oct 25 2020, 8:33 PM
Reedy removed a project: Patch-For-Review.